#ifndef __cardapdu_h_defined__
#define __cardapdu_h_defined__

#include <windows.h>

#define SLOT_ANY_AVAILABLE				-1

#define CCR_OK							0x00
#define CCR_INVALID_HANDLE				0x01
#define CCR_CARD_NOT_PRESENT			0x02
#define CCR_SESSION_NOT_OPENED			0x03
#define CCR_INVALID_SLOT_ID				0x04
#define CCR_FUNCTION_FAILED				0x05
#define CCR_CANCELLED					0x06

struct CARDAPDU
{
	unsigned char cla;
	unsigned char ins;
	unsigned char p1;
	unsigned char p2;
	unsigned char lc;
	unsigned char le;
	unsigned char DataIn[256];
	unsigned char DataOut[256];
	unsigned short sw;
};

int cc_open(HANDLE *ph, int slotID, char *AcceptedCards);
int cc_close(HANDLE h);
int cc_apdu(HANDLE h, CARDAPDU *apdu);

#endif